commit:     bb551090a96ede9f8eab6f91d6f1f22d254bb042
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Tue May 29 21:53:51 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed May 30 00:27:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb551090

net-libs/libyahoo2: bump EAPI; drop eutils; add LibreSSL support

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../libyahoo2/files/libyahoo2-1.0.1-asneeded.patch |  4 ++--
 net-libs/libyahoo2/libyahoo2-1.0.1.ebuild          | 27 ++++++++++++++--------
 2 files changed, 19 insertions(+), 12 deletions(-)

diff --git a/net-libs/libyahoo2/files/libyahoo2-1.0.1-asneeded.patch 
b/net-libs/libyahoo2/files/libyahoo2-1.0.1-asneeded.patch
index b05190a02a7..4e0f1142cd5 100644
--- a/net-libs/libyahoo2/files/libyahoo2-1.0.1-asneeded.patch
+++ b/net-libs/libyahoo2/files/libyahoo2-1.0.1-asneeded.patch
@@ -1,5 +1,5 @@
---- src/Makefile.am
-+++ src/Makefile.am
+--- a/src/Makefile.am
++++ b/src/Makefile.am
 @@ -21,11 +21,9 @@
  noinst_PROGRAMS = yahoo autoresponder
  

diff --git a/net-libs/libyahoo2/libyahoo2-1.0.1.ebuild 
b/net-libs/libyahoo2/libyahoo2-1.0.1.ebuild
index 0cd41ed4821..541f05dc3d8 100644
--- a/net-libs/libyahoo2/libyahoo2-1.0.1.ebuild
+++ b/net-libs/libyahoo2/libyahoo2-1.0.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=2
-inherit autotools eutils
+EAPI=7
+inherit autotools
 
 DESCRIPTION="interface to the new Yahoo! Messenger protocol"
 HOMEPAGE="http://libyahoo2.sourceforge.net/";
@@ -11,33 +11,40 @@ SRC_URI="mirror://sourceforge/libyahoo2/${P}.tar.gz"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="static-libs ssl"
+IUSE="libressl ssl static-libs"
 
 RDEPEND="dev-libs/glib:2
-       ssl? ( dev-libs/openssl )"
+       ssl? (
+               libressl? ( dev-libs/libressl:0= )
+               !libressl? ( dev-libs/openssl:0= )
+       )
+"
 DEPEND="${RDEPEND}"
 
+PATCHES=(
+       "${FILESDIR}/${P}-asneeded.patch"
+)
+
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-asneeded.patch
+       default
        sed -i -e 's:-ansi -pedantic::' configure.ac || die #240912
        eautoreconf
 }
 
 src_configure() {
        econf \
-               --disable-dependency-tracking \
                $(use_enable static-libs static) \
                $(use_enable ssl sample-client)
 }
 
 src_install() {
-       emake DESTDIR="${D}" install || die
+       default
 
        if use ssl; then
-               dobin src/.libs/{autoresponder,yahoo} || die
+               dobin src/.libs/{autoresponder,yahoo}
        fi
 
        dodoc AUTHORS ChangeLog doc/*.txt NEWS README TODO
 
-       find "${D}" -name '*.la' -exec rm -f '{}' +
+       find "${D}" -name '*.la' -delete || die "Pruning failed"
 }

Reply via email to